package com.cool.store.dto.trtc.callback;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @Author: young.yu
 * @Date: 2023-06-29  01:16
 * @Description:
 */
public class VideoCallBackDTO {
    @JsonProperty("EventGroupId")
    private int eventGroupId;
    @JsonProperty("EventType")
    private int eventType;
    @JsonProperty("CallbackTs")
    private long callbackTs;
    @JsonProperty("EventInfo")
    private EventInfo eventInfo;

    public int getEventGroupId() {
        return eventGroupId;
    }

    public void setEventGroupId(int eventGroupId) {
        this.eventGroupId = eventGroupId;
    }

    public int getEventType() {
        return eventType;
    }

    public void setEventType(int eventType) {
        this.eventType = eventType;
    }

    public long getCallbackTs() {
        return callbackTs;
    }

    public void setCallbackTs(long callbackTs) {
        this.callbackTs = callbackTs;
    }

    public EventInfo getEventInfo() {
        return eventInfo;
    }

    public void setEventInfo(EventInfo eventInfo) {
        this.eventInfo = eventInfo;
    }
}
